Bug 1104181 - [abrt] git-cola: pyinotify.py:1907:add_watch:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 11: ordinal not in range(128)
[abrt] git-cola: pyinotify.py:1907:add_watch:UnicodeDecodeError: 'ascii' code...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: git-cola (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cd00b504e10e9808c360c7cb257...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-03 08:52 EDT by Matej
Modified: 2014-08-16 18:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: git-cola-2.0.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-05 10:51:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.05 KB, text/plain)
2014-06-03 08:52 EDT, Matej
no flags Details
File: environ (1.50 KB, text/plain)
2014-06-03 08:52 EDT, Matej
no flags Details

  None (edit)
Description Matej 2014-06-03 08:52:38 EDT
Version-Release number of selected component:
git-cola-2.0.1-1.fc19

Additional info:
reporter:       libreport-2.2.1
cmdline:        /usr/bin/python /usr/bin/git-dag --prompt
dso_list:       python-inotify-0.9.4-2.fc19.noarch
executable:     /usr/bin/git-dag
kernel:         3.14.4-100.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
pyinotify.py:1907:add_watch:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 11: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/inotify.py", line 203, in run
    self._watch_directory(self._path)
  File "/usr/share/git-cola/lib/cola/inotify.py", line 174, in _watch_directory
    self._wmgr.add_watch(directory, self._mask)
  File "/usr/lib/python2.7/site-packages/pyinotify.py", line 1907, in add_watch
    self._inotify_wrapper.str_errno()))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc5 in position 11: ordinal not in range(128)

Local variables in innermost frame:
wd: -1
npath: u'/home/matej/prace/sport_tracking/git'
rec: False
rpath: u'/home/matej/prace/sport_tracking/git'
mask: 654
quiet: True
self: <pyinotify.WatchManager object at 0x25bda10>
auto_add: False
proc_fun: None
do_glob: False
apath: u'/home/matej/prace/sport_tracking/git'
path: u'/home/matej/prace/sport_tracking/git'
ret_: {u'/home/matej/prace/sport_tracking/git': -1}
exclude_filter: <function <lambda> at 0x1d28578>
Comment 1 Matej 2014-06-03 08:52:43 EDT
Created attachment 901780 [details]
File: backtrace
Comment 2 Matej 2014-06-03 08:52:45 EDT
Created attachment 901781 [details]
File: environ
Comment 3 David Aguilar 2014-06-04 00:30:39 EDT
I just a pushed a fix to git-cola's master branch on github that may fix this. Is there any way to get the original submitter to test it?

I'll test the fix a bit myself as well.
Comment 4 Matej 2014-06-04 03:45:31 EDT
I tested the github version and the error is fixed. Thanks!
Comment 5 Fedora Update System 2014-06-26 01:45:25 EDT
git-cola-2.0.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/git-cola-2.0.4-1.fc20
Comment 6 Fedora Update System 2014-06-26 22:29:01 EDT
Package git-cola-2.0.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing git-cola-2.0.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7802/git-cola-2.0.4-1.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-07-05 10:51:34 EDT
git-cola-2.0.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-08-03 19:37:55 EDT
git-cola-2.0.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/git-cola-2.0.5-1.fc19
Comment 9 Fedora Update System 2014-08-16 18:30:28 EDT
git-cola-2.0.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.